#include "WProgram.h"
/* This is a very basic serial code to 
read analog data from a sensor. I will be using 
an ADXL330 analog accelerometer attach to an Arduino USB Board*/

void setup();
void loop();
void establishContact();
int xVal = 0;// deklarer the int values 
int yVal = 0; 
int zVal = 0; 

//analog pins from accelerometer
int xPin = 0;
int yPin = 1;
int zPin = 2;

byte inByte; 


void setup() {
 Serial.begin(9600); // this is the Arduino 
 establishContact();
}

void loop()
{
  // if we get a valid byte, read analog ins:
  if (Serial.available() > 0) {
    // get incoming byte:
    inByte = Serial.read();
    
    xVal = analogRead(xPin); 
    delay(10); // add a delay to slow it down
    yVal = analogRead(yPin);
    delay(10);
    zVal = analogRead(zPin);
    delay(10);

    Serial.print(xVal, BYTE);
    Serial.print(yVal, BYTE);
    Serial.print(zVal, BYTE);           
  }
}

void establishContact() {
 while (Serial.available() <= 0) {
      Serial.print('A', BYTE);   // send a capital A
      delay(300);
  }
}

int main(void)
{
	init();

	setup();
    
	for (;;)
		loop();
        
	return 0;
}

